> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/admin/journeys/message-performance

> Retrieve message delivery and lifecycle performance for a journey cohort by send date.



## OpenAPI

````yaml get /api/admin/journeys/message-performance
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/journeys/message-performance:
    get:
      tags:
        - Journeys
      description: >-
        Retrieve message delivery and lifecycle performance for a journey cohort
        by send date.
      parameters:
        - schema:
            format: uuid
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            format: uuid
            type: string
          in: query
          name: journeyId
          required: true
        - schema:
            format: date-time
            type: string
          in: query
          name: startDate
          required: true
        - schema:
            format: date-time
            type: string
          in: query
          name: endDate
          required: true
        - schema:
            anyOf:
              - type: string
                enum:
                  - Email
              - type: string
                enum:
                  - MobilePush
              - type: string
                enum:
                  - Sms
              - type: string
                enum:
                  - Webhook
              - type: string
                enum:
                  - Whatsapp
          in: query
          name: channel
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  journeyId:
                    format: uuid
                    type: string
                  workspaceId:
                    format: uuid
                    type: string
                  dateScope:
                    type: object
                    properties:
                      startDate:
                        format: date-time
                        type: string
                      endDate:
                        format: date-time
                        type: string
                      timezone:
                        type: string
                      asOf:
                        format: date-time
                        type: string
                    required:
                      - startDate
                      - endDate
                      - timezone
                      - asOf
                  totalSuccessfulSends:
                    minimum: 0
                    type: integer
                  uniqueRecipients:
                    minimum: 0
                    type: integer
                  byNode:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        nodeId:
                          type: string
                        channel:
                          anyOf:
                            - const: Email
                              type: string
                            - const: MobilePush
                              type: string
                            - const: Sms
                              type: string
                            - const: Webhook
                              type: string
                            - const: Whatsapp
                              type: string
                        templateId:
                          type: string
                        nodeName:
                          type: string
                        counts:
                          type: object
                          properties:
                            sent:
                              minimum: 0
                              type: integer
                            delivered:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            opened:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            clicked:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            read:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            bounced:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            failed:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            unsubscribed:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            spam:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            inferredDeliveryCount:
                              minimum: 0
                              type: integer
                            inferredOpenCount:
                              minimum: 0
                              type: integer
                          required:
                            - sent
                            - delivered
                            - opened
                            - clicked
                            - read
                            - bounced
                            - failed
                            - unsubscribed
                            - spam
                        uniqueRecipients:
                          minimum: 0
                          type: integer
                      required:
                        - nodeId
                        - channel
                        - counts
                        - uniqueRecipients
                  byChannel:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        channel:
                          anyOf:
                            - const: Email
                              type: string
                            - const: MobilePush
                              type: string
                            - const: Sms
                              type: string
                            - const: Webhook
                              type: string
                            - const: Whatsapp
                              type: string
                        counts:
                          type: object
                          properties:
                            sent:
                              minimum: 0
                              type: integer
                            delivered:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            opened:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            clicked:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            read:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            bounced:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            failed:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            unsubscribed:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            spam:
                              anyOf:
                                - minimum: 0
                                  type: integer
                                - type: 'null'
                            inferredDeliveryCount:
                              minimum: 0
                              type: integer
                            inferredOpenCount:
                              minimum: 0
                              type: integer
                          required:
                            - sent
                            - delivered
                            - opened
                            - clicked
                            - read
                            - bounced
                            - failed
                            - unsubscribed
                            - spam
                        uniqueRecipients:
                          minimum: 0
                          type: integer
                      required:
                        - channel
                        - counts
                        - uniqueRecipients
                  dailySentTimeSeries:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        sent:
                          minimum: 0
                          type: integer
                        uniqueRecipients:
                          minimum: 0
                          type: integer
                      required:
                        - date
                        - sent
                        - uniqueRecipients
                required:
                  - journeyId
                  - workspaceId
                  - dateScope
                  - totalSuccessfulSends
                  - uniqueRecipients
                  - byNode
                  - byChannel
                  - dailySentTimeSeries
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: An empty String
          content:
            application/json:
              schema:
                description: An empty String
                type: string
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.